
# legend of mana calculator

In the game `Legend of Mana`, your characters attributes increase based on the weapon equipped at the time they level up.

This is a calculator that can be used to determine the final attributes based on how many levels each weapon is used up to the level cap of 99.

The attributes appear to be broken into sizes as small as a quarter (eg. 1/4), which means the actual gains may be unable to be determined until 4 levels with a given weapon.

This also means that if you use a weapon for less than 4 levels, you may be left with remainders.


## usage

Open up [`index.html`](index.html) in a web browser.

Change the number of levels next to each weapon as needed.

The total character level, and final attributes, will be listed.

To see remainders a checkbox will allow you to show decimals instead of whole integers.


## table

Courtesy of DAC's level up guide @ Gamefaqs:

	---------------------------------------------------------
	| Stat        | Pwr | Skl | Dfn | Mgc | Hp! | Spt | Chm |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Swords      | 100 | 100 | 100 |  75 |  75 |  75 |  75 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| 2H Swords   | 125 | 100 |  75 |  75 |  75 |  50 |  75 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Knifes      |  75 | 125 |  75 |  75 |  50 | 100 | 100 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Axes        | 100 |  75 | 100 |  75 |  75 | 100 |  50 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| 2H Axes     | 125 | 125 |  75 |  75 |  50 |  75 |  50 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Staves      |  50 |  75 |  75 | 125 |  50 |  75 | 125 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Bows        |  50 | 175 |  75 |  75 |  50 |  75 | 100 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Spears      |  75 | 125 | 100 |  75 |  50 |  75 | 100 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Flails      |  75 | 125 |  50 |  75 |  50 |  75 | 125 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Hammers     | 175 |  75 |  50 |  75 |  75 |  75 |  75 |
	|-------------|-----|-----|-----|-----|-----|-----|-----|
	| Gloves      | 125 |  75 |  75 |  50 |  75 |  75 |  75 |
	---------------------------------------------------------


## future

Verify the starting level is 1.

Verify all attributes start at 1.

Verify this is the same for both the Hero and Heroine.

Add tool-tips to describe the gains for each weapon.

Add bitmask hash to URL so "builds" can be shared.

Test across multiple browsers and mobile devices.


# references

- [Level-Up FAQ by DAC @ Gamefaqs](https://gamefaqs.gamespot.com/ps/256525-legend-of-mana/faqs/18949)
- [Inspired by Dragon's Dogma Stat Planner](https://stackoverflow.github.io/dragons-dogma-stat-planner/)
